Bug 1275768 - undefined method `scan' for true:TrueClass [host/host_services] while clicking any of the host running servicesl
undefined method `scan' for true:TrueClass [host/host_services] while clickin...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Roman Blanco
Nandini Chandra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-27 12:43 EDT by Nandini Chandra
Modified: 2015-12-08 08:41 EST (History)
8 users (show)

See Also:
Fixed In Version: 5.5.0.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:41:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nandini Chandra 2015-10-27 12:43:40 EDT
Description of problem:
----------------------
I ran into this issue while verifying https://bugzilla.redhat.com/show_bug.cgi?id=1264165

The UI blows up with this error message while clicking any of the host services that are running.

Error text:
undefined method `scan' for true:TrueClass [host/host_services]

Snippet from production.log:
[----] I, [2015-10-27T12:03:21.592682 #2899:779994]  INFO -- : Started GET "/host/host_services/2?show=18" for 127.0.0.1 at 2015-10-27 12:03:21 -0400
[----] I, [2015-10-27T12:03:21.593947 #2899:779994]  INFO -- : Processing by HostController#host_services as HTML
[----] I, [2015-10-27T12:03:21.594020 #2899:779994]  INFO -- :   Parameters: {"show"=>"18", "id"=>"2"}
[----] I, [2015-10-27T12:03:21.790910 #2899:779994]  INFO -- :   Rendered layouts/_flash_msg.html.haml (0.1ms)
[----] I, [2015-10-27T12:03:21.802566 #2899:779994]  INFO -- :   Rendered layouts/_item.html.haml (41.7ms)
[----] I, [2015-10-27T12:03:21.802698 #2899:779994]  INFO -- :   Rendered host/show.html.haml within layouts/application (50.4ms)
[----] F, [2015-10-27T12:03:21.802959 #2899:779994] FATAL -- : Error caught: [NoMethodError] undefined method `scan' for true:TrueClass
/var/www/miq/vmdb/app/views/layouts/_item.html.haml:30:in `block in _app_views_layouts__item_html_haml___4424898474128421140_108803560'
/var/www/miq/vmdb/app/views/layouts/_item.html.haml:22:in `each'
/var/www/miq/vmdb/app/views/layouts/_item.html.haml:22:in `each_with_index'
/var/www/miq/vmdb/app/views/layouts/_item.html.haml:22:in `_app_views_layouts__item_html_haml___4424898474128421140_108803560'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/template.rb:145:in `block in render'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications.rb:166:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/template.rb:333:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/template.rb:143:in `render'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/partial_renderer.rb:339:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/partial_renderer.rb:310:in `block in render'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/abstract_renderer.rb:39:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/abstract_renderer.rb:39:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/partial_renderer.rb:309:in `render'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/renderer.rb:47:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/renderer.rb:21:in `render'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/helpers/rendering_helper.rb:32:in `render'
/opt/rh/cfme-gemset/bundler/gems/jquery-rjs-33e0fc1c0b25/lib/jquery-rjs/rendering.rb:8:in `render_with_update'
/var/www/miq/vmdb/app/views/host/show.html.haml:9:in `_app_views_host_show_html_haml__2534717502141404983_143085100'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/template.rb:145:in `block in render'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications.rb:166:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/template.rb:333:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/template.rb:143:in `render'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/template_renderer.rb:54:in `block (2 levels) in render_template'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/abstract_renderer.rb:39:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/abstract_renderer.rb:39:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/template_renderer.rb:53:in `block in render_template'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/template_renderer.rb:61:in `render_with_layout'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/template_renderer.rb:52:in `render_template'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/template_renderer.rb:14:in `render'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/renderer.rb:42:in `render_template'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/renderer.rb:23:in `render'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/rendering.rb:100:in `_render_template'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/streaming.rb:217:in `_render_template'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/rendering.rb:83:in `render_to_body'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/rendering.rb:32:in `render_to_body'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/renderers.rb:37:in `render_to_body'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/abstract_controller/rendering.rb:25:in `render'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/rendering.rb:16:in `render'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/instrumentation.rb:44:in `block (2 levels) in render'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/core_ext/benchmark.rb:12:in `block in ms'
/opt/rh/rh-ruby22/root/usr/share/ruby/benchmark.rb:303:in `realtime'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/core_ext/benchmark.rb:12:in `ms'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/instrumentation.rb:44:in `block in render'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/instrumentation.rb:87:in `cleanup_view_runtime'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/railties/controller_runtime.rb:25:in `cleanup_view_runtime'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/instrumentation.rb:43:in `render'


Version-Release number of selected component (if applicable):
------------------------
5.5.0.7


How reproducible:
-----------------
Always


Steps to Reproduce:
-------------------
1.Navigate to the host summary page.
2.From the Configuration accordion,click Services.
3.From the services page,click any of the running services.


Actual results:
---------------
UI blows up


Expected results:
-----------------
No errors on the UI


Additional info:
---------------
Comment 2 Nandini Chandra 2015-10-27 12:44:01 EDT
There are no errors when one of the non-running services is clicked.
Comment 5 CFME Bot 2015-11-04 06:54:34 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/6c04f5829513eef0830fa9999dcca3b73785a9ca

commit 6c04f5829513eef0830fa9999dcca3b73785a9ca
Author:     Roman Blanco <rblanco@redhat.com>
AuthorDate: Thu Oct 29 23:52:32 2015 +0100
Commit:     Roman Blanco <rblanco@redhat.com>
CommitDate: Tue Nov 3 21:07:56 2015 +0100

    Fix issue for Host services
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1275768

 app/views/layouts/_item.html.haml | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)
Comment 6 CFME Bot 2015-11-04 13:44:31 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=5e5391d201be75f499c174e3194ffa96954ec041

commit 5e5391d201be75f499c174e3194ffa96954ec041
Author:     Roman Blanco <rblanco@redhat.com>
AuthorDate: Thu Oct 29 23:52:32 2015 +0100
Commit:     Roman Blanco <rblanco@redhat.com>
CommitDate: Wed Nov 4 14:36:48 2015 +0100

    Fix issue for Host services
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1275768

 app/views/layouts/_item.html.haml | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)
Comment 7 CFME Bot 2015-11-04 13:45:06 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=fc16beb1ece34c6cec441f80f993b255ffd897c8

commit fc16beb1ece34c6cec441f80f993b255ffd897c8
Merge: e275401 5e5391d
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Wed Nov 4 12:30:14 2015 -0500
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Wed Nov 4 12:30:14 2015 -0500

    Merge branch 'bz1275768' into '5.5.z'
    
    Fix issue for Host services
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1275768
    
    See merge request !348

 app/views/layouts/_item.html.haml | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)
Comment 9 Nandini Chandra 2015-11-19 11:51:18 EST
Verified in 5.5.0.11
Comment 11 errata-xmlrpc 2015-12-08 08:41:11 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.